package J20250724.demo04;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description
 * @create 2025/7/24
 */
public class Demo01 {
    /**
     * 求1~n的和
     * @param n
     * @return  和
     */
    //写递归，最先要确定的是怎么结束递归
    public static int getSum(int n){
        if (n==1){
            return 1;
        }
        return n+getSum(n-1);
    }

    public static void main(String[] args) {
        //求1-100的和
        int sum = getSum(1000);
        System.out.println(sum);
    }
}
